Subject: BSM fragmentations

From: Desikan Saravanan <[email-masked]>
Date: Thu, 24 Feb 2000 18:16:58 -0800

Folks,

consider  a situation where the bootstrap message needs to be fragmented
into two or more packets.
I see there is no indication in the bootstrap message format that this is
the last fragment.
and I dont see any message length field that could be of use to figure out
the end of the packet.

Then how would I know that I have got all of the RP set? 
Only when I know that I have a valid RP set, I can go and check the validity
of existing RP set
(as per last paragraph of section 3.6.3: Receiving and Forwarding Bootstrap)

I can wait till the next bootstrap message arrives with a different
fragment_tag (will result in poor converging)
or I can start a timer for X seconds and at the timeout I can consider I
have all the RP set.

Does the spec say anything about this issue or Am I missing something here?
Please clarify.

Thanks & Best regards
Des

---

From: Ravi Puvvala <[email-masked]>
Date: Sun, 27 Feb 2000 03:34:23 -0800

Each bootstrap message has a total rp count and each fragmented
bootstrap message has the rp count in that particular fragment.
If you keep track of the total rp count received from all the
fragments, you would know if it is the last fragment or if you
need to expect more.

Ravi

Desikan Saravanan writes:

| Folks,
| 
| consider  a situation where the bootstrap message needs to be fragmented
| into two or more packets.
| I see there is no indication in the bootstrap message format that this is
| the last fragment.
| and I dont see any message length field that could be of use to figure out
| the end of the packet.
| 
| Then how would I know that I have got all of the RP set? 
| Only when I know that I have a valid RP set, I can go and check the validity
| of existing RP set
| (as per last paragraph of section 3.6.3: Receiving and Forwarding Bootstrap)
| 
| I can wait till the next bootstrap message arrives with a different
| fragment_tag (will result in poor converging)
| or I can start a timer for X seconds and at the timeout I can consider I
| have all the RP set.
| 
| Does the spec say anything about this issue or Am I missing something here?
| Please clarify.
| 
| Thanks & Best regards
| Des